---
title: Create a Bookmark application
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Zero Trust](https://developers.cloudflare.com/api/typescript/resources/zero_trust)

[Access](https://developers.cloudflare.com/api/typescript/resources/zero_trust/subresources/access)

[Bookmarks](https://developers.cloudflare.com/api/typescript/resources/zero_trust/subresources/access/subresources/bookmarks)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Create a Bookmark application

Deprecated

client.zeroTrust.access.bookmarks.create(stringbookmarkID, BookmarkCreateParams {account\_id } params, RequestOptionsoptions?): [Bookmark](<https://developers.cloudflare.com/api/typescript/resources/zero_trust#(resource)%20zero_trust.access.bookmarks%20%3E%20(model)%20bookmark%20%3E%20(schema)>) {id, app\_launcher\_visible, domain, 2 more }

POST/accounts/{account\_id}/access/bookmarks/{bookmark\_id}

Create a new Bookmark application.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

bookmarkID: string

UUID.

maxLength36

[Link to this property](<#(resource)%20zero_trust.access.bookmarks%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20bookmark_id%20%3E%20(schema)>)

<details>

<summary>

params: BookmarkCreateParams {account\_id }

</summary>

account\_id: string

<a href="#(resource)%20zero_trust.access.bookmarks%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.access.bookmarks%20%3E%20(method)%20create%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

Bookmark {id, app\_launcher\_visible, domain, 2 more }

</summary>

id?: string

The unique identifier for the Bookmark application.

<a href="#(resource)%20zero_trust.access.bookmarks%20%3E%20(model)%20bookmark%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

app\_launcher\_visible?: boolean

Displays the application in the App Launcher.

<a href="#(resource)%20zero_trust.access.bookmarks%20%3E%20(model)%20bookmark%20%3E%20(schema)%20%3E%20(property)%20app_launcher_visible">Link to this property</a>

domain?: string

The domain of the Bookmark application.

<a href="#(resource)%20zero_trust.access.bookmarks%20%3E%20(model)%20bookmark%20%3E%20(schema)%20%3E%20(property)%20domain">Link to this property</a>

logo\_url?: string

The image URL for the logo shown in the App Launcher dashboard.

<a href="#(resource)%20zero_trust.access.bookmarks%20%3E%20(model)%20bookmark%20%3E%20(schema)%20%3E%20(property)%20logo_url">Link to this property</a>

name?: string

The name of the Bookmark application.

<a href="#(resource)%20zero_trust.access.bookmarks%20%3E%20(model)%20bookmark%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.access.bookmarks%20%3E%20(model)%20bookmark%20%3E%20(schema)>)

### Create a Bookmark application

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const bookmark = await client.zeroTrust.access.bookmarks.create(
  'f174e90a-fafe-4643-bbbc-4a0ed4fc8415',
  { account_id: '699d98642c564d2e855e9661899b7252' },
);

console.log(bookmark.id);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "id",
    "app_launcher_visible": true,
    "created_at": "2014-01-01T05:20:00.12345Z",
    "domain": "example.com",
    "logo_url": "https://www.cloudflare.com/img/logo-web-badges/cf-logo-on-white-bg.svg",
    "name": "My Website",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "id",
    "app_launcher_visible": true,
    "created_at": "2014-01-01T05:20:00.12345Z",
    "domain": "example.com",
    "logo_url": "https://www.cloudflare.com/img/logo-web-badges/cf-logo-on-white-bg.svg",
    "name": "My Website",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  }
}
```